com.amazonaws.services.codecommit.model

## Class RepositoryTriggerExecutionFailure

- java.lang.Object
- - com.amazonaws.services.codecommit.model.RepositoryTriggerExecutionFailure

All Implemented Interfaces:
  Serializable, Cloneable

    public class RepositoryTriggerExecutionFailure
    extends Object
    implements Serializable, Cloneable

A trigger failed to run.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RepositoryTriggerExecutionFailure()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RepositoryTriggerExecutionFailure` `clone()`
`boolean` `equals(Object obj)`
`String` `getFailureMessage()` Additional message information about the trigger that did not run.
`String` `getTrigger()` The name of the trigger that did not run.
`int` `hashCode()`
`void` `setFailureMessage(String failureMessage)` Additional message information about the trigger that did not run.
`void` `setTrigger(String trigger)` The name of the trigger that did not run.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RepositoryTriggerExecutionFailure` `withFailureMessage(String failureMessage)` Additional message information about the trigger that did not run.
`RepositoryTriggerExecutionFailure` `withTrigger(String trigger)` The name of the trigger that did not run.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepositoryTriggerExecutionFailure

    public RepositoryTriggerExecutionFailure()

### Method Detail

#### setTrigger

    public void setTrigger(String trigger)

The name of the trigger that did not run.

Parameters:
  `trigger` - The name of the trigger that did not run.

#### getTrigger

    public String getTrigger()

The name of the trigger that did not run.

Returns:
  The name of the trigger that did not run.

#### withTrigger

    public RepositoryTriggerExecutionFailure withTrigger(String trigger)

The name of the trigger that did not run.

Parameters:
  `trigger` - The name of the trigger that did not run.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFailureMessage

    public void setFailureMessage(String failureMessage)

Additional message information about the trigger that did not run.

Parameters:
  `failureMessage` - Additional message information about the trigger that did not run.

#### getFailureMessage

    public String getFailureMessage()

Additional message information about the trigger that did not run.

Returns:
  Additional message information about the trigger that did not run.

#### withFailureMessage

    public RepositoryTriggerExecutionFailure withFailureMessage(String failureMessage)

Additional message information about the trigger that did not run.

Parameters:
  `failureMessage` - Additional message information about the trigger that did not run.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RepositoryTriggerExecutionFailure clone()

Overrides:
  `clone` in class `Object`